gtkmm: Gtk::PrintUnixDialog Class Reference

gtkmm 3.24.10

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::PrintUnixDialog Class Reference
Printing

PrintUnixDialog implements a print dialog for platforms which don't provide a native print dialog, like Unix. More...

`#include <gtkmm/printunixdialog.h>`

Inheritance diagram for Gtk::PrintUnixDialog:
[legend]

## Public Member Functions
| PrintUnixDialog (PrintUnixDialog && src) noexcept
PrintUnixDialog & | operator= (PrintUnixDialog && src) noexcept
| PrintUnixDialog (const PrintUnixDialog &)=delete
PrintUnixDialog & | operator= (const PrintUnixDialog &)=delete
| ~PrintUnixDialog () noexcept override
GtkPrintUnixDialog * | gobj ()
| Provides access to the underlying C GObject.
const GtkPrintUnixDialog * | gobj () const
| Provides access to the underlying C GObject.
| PrintUnixDialog (Gtk::Window & parent, const Glib::ustring & title)
| PrintUnixDialog (const Glib::ustring & title)
void | set_page_setup (const Glib::RefPtr< PageSetup > & page_setup)
| Sets the page setup of the Gtk::PrintUnixDialog.
Glib::RefPtr< PageSetup > | get_page_setup ()
| Gets the page setup that is used by the Gtk::PrintUnixDialog.
Glib::RefPtr< const PageSetup > | get_page_setup () const
| Gets the page setup that is used by the Gtk::PrintUnixDialog.
void | set_current_page (int current_page)
| Sets the current page number.
int | get_current_page () const
| Gets the current page of the Gtk::PrintUnixDialog.
void | set_settings (const Glib::RefPtr< PrintSettings > & settings)
| Sets the Gtk::PrintSettings for the Gtk::PrintUnixDialog.
Glib::RefPtr< PrintSettings > | get_settings ()
| Gets a new Gtk::PrintSettings object that represents the current values in the print dialog.
Glib::RefPtr< const PrintSettings > | get_settings () const
| Gets a new Gtk::PrintSettings object that represents the current values in the print dialog.
Glib::RefPtr< Printer > | get_selected_printer ()
| Gets the currently selected printer.
Glib::RefPtr< const Printer > | get_selected_printer () const
| Gets the currently selected printer.
void | add_custom_tab (const Widget & child, const Glib::ustring & tab_label)
void | add_custom_tab (const Widget & child, const Widget & tab_label)
| Adds a custom tab to the print dialog.
void | set_manual_capabilities (PrintCapabilities capabilities)
| This lets you specify the printing capabilities your application supports.
PrintCapabilities | get_manual_capabilities () const
| Gets the value of Gtk::PrintUnixDialog::property_manual_capabilities() property.
void | get_support_selection (bool support_selection=true)
| Sets whether the print dialog allows user to print a selection.
bool | get_support_selection () const
| Gets the value of Gtk::PrintUnixDialog::property_support_selection() property.
void | set_has_selection (bool has_selection=true)
| Sets whether a selection exists.
bool | get_has_selection () const
| Gets the value of Gtk::PrintUnixDialog::property_has_selection() property.
void | set_embed_page_setup (bool embed=true)
| Embed page size combo box and orientation combo box into page setup page.
bool | get_embed_page_setup () const
| Gets the value of Gtk::PrintUnixDialog::property_embed_page_setup() property.
bool | get_page_setup_set () const
| Gets the page setup that is used by the Gtk::PrintUnixDialog.
Glib::PropertyProxy< Glib::RefPtr< PageSetup > > | property_page_setup ()
| The GtkPageSetup to use.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< PageSetup > > | property_page_setup () const
| The GtkPageSetup to use.
Glib::PropertyProxy< int > | property_current_page ()
| The current page in the document.
Glib::PropertyProxy_ReadOnly< int > | property_current_page () const
| The current page in the document.
Glib::PropertyProxy< Glib::RefPtr< PrintSettings > > | property_print_settings ()
| The GtkPrintSettings used for initializing the dialog.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< PrintSettings > > | property_print_settings () const
| The GtkPrintSettings used for initializing the dialog.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Printer > > | property_selected_printer () const
| The GtkPrinter which is selected.
Glib::PropertyProxy< bool > | property_manual_capabilities ()
| Capabilities the application can handle.
Glib::PropertyProxy_ReadOnly< bool > | property_manual_capabilities () const
| Capabilities the application can handle.
Glib::PropertyProxy< bool > | property_support_selection ()
| Whether the dialog supports selection.
Glib::PropertyProxy_ReadOnly< bool > | property_support_selection () const
| Whether the dialog supports selection.
Glib::PropertyProxy< bool > | property_has_selection ()
| Whether the application has a selection.
Glib::PropertyProxy_ReadOnly< bool > | property_has_selection () const
| Whether the application has a selection.
Glib::PropertyProxy< bool > | property_embed_page_setup ()
| true if page setup combos are embedded in GtkPrintUnixDialog.
Glib::PropertyProxy_ReadOnly< bool > | property_embed_page_setup () const
| true if page setup combos are embedded in GtkPrintUnixDialog.
Public Member Functions inherited from Gtk::Dialog
| Dialog (Dialog && src) noexcept
Dialog & | operator= (Dialog && src) noexcept
| Dialog (const Dialog &)=delete
Dialog & | operator= (const Dialog &)=delete
| ~Dialog () noexcept override
GtkDialog * | gobj ()
| Provides access to the underlying C GObject.
const GtkDialog * | gobj () const
| Provides access to the underlying C GObject.
| Dialog ()
| Dialog (const Glib::ustring & title, bool modal=false)
| Dialog (const Glib::ustring & title, Gtk::Window & parent, bool modal=false)
| Dialog (const Glib::ustring & title, DialogFlags flags)
| Dialog (const Glib::ustring & title, Gtk::Window & parent, DialogFlags flags)
void | add_action_widget (Widget & child, int response_id)
| Adds an activatable widget to the action area of a Gtk::Dialog, connecting a signal handler that will emit the Gtk::Dialog::signal_response() signal on the dialog when the widget is activated.
Button * | add_button (const Glib::ustring & button_text, int response_id)
| Adds a button with the given text and sets things up so that clicking the button will emit the Gtk::Dialog::signal_response() signal with the given response_id.
Button * | add_button (const Gtk::StockID & stock_id, int response_id)
| Adds a button with the given text and sets things up so that clicking the button will emit the Gtk::Dialog::signal_response() signal with the given response_id.
void | set_response_sensitive (int response_id, bool setting=true)
| Calls gtk_widget_set_sensitive (widget, @a setting) for each widget in the dialog’s action area with the given response_id.
void | set_default_response (int response_id)
| Sets the last widget in the dialog’s action area with the given response_id as the default widget for the dialog.
Widget * | get_widget_for_response (int response_id)
| Gets the widget button that uses the given response ID in the action area of a dialog.
const Widget * | get_widget_for_response (int response_id) const
| Gets the widget button that uses the given response ID in the action area of a dialog.
int | get_response_for_widget (const Gtk::Widget & widget) const
| Gets the response id of a widget in the action area of a dialog.
void | set_alternative_button_order_from_array (const std::vector< int > & new_order)
| Sets an alternative button order.
void | response (int response_id)
| Emits the Gtk::Dialog::signal_response() signal with the given response ID.
int | run ()
| Blocks in a recursive main loop until the dialog either emits the Gtk::Dialog::signal_response() signal, or is destroyed.
ButtonBox * | get_action_area ()
| Returns the action area of dialog.
const ButtonBox * | get_action_area () const
| Returns the action area of dialog.
Box * | get_vbox ()
| Returns the content area of dialog.
const Box * | get_vbox () const
| Returns the content area of dialog.
Box * | get_content_area ()
| Returns the content area of dialog.
const Box * | get_content_area () const
| Returns the content area of dialog.
HeaderBar * | get_header_bar ()
| Returns the header bar of dialog.
const HeaderBar * | get_header_bar () const
| Returns the header bar of dialog.
Glib::SignalProxy< void, int > | signal_response ()
Glib::PropertyProxy_ReadOnly< bool > | property_use_header_bar () const
| true if the dialog uses a Gtk::HeaderBar for action buttons instead of the action-area.
Public Member Functions inherited from Gtk::Window
| Window (Window && src) noexcept
Window & | operator= (Window && src) noexcept
| Window (const Window &)=delete
Window & | operator= (const Window &)=delete
| ~Window () noexcept override
GtkWindow * | gobj ()
| Provides access to the underlying C GObject.
const GtkWindow * | gobj () const
| Provides access to the underlying C GObject.
| Window (WindowType type=WINDOW_TOPLEVEL)
Glib::PropertyProxy_ReadOnly< WindowType > | property_type () const
| The type of the window.
Glib::PropertyProxy< Glib::ustring > | property_title ()
| The title of the window.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| The title of the window.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_startup_id ()
| The :startup-id is a write-only property for setting window's startup notification identifier.
Glib::PropertyProxy< bool > | property_resizable ()
| If true, users can resize the window.
Glib::PropertyProxy_ReadOnly< bool > | property_resizable () const
| If true, users can resize the window.
Glib::PropertyProxy< bool > | property_modal ()
| If true, the window is modal (other windows are not usable while this one is up).
Glib::PropertyProxy_ReadOnly< bool > | property_modal () const
| If true, the window is modal (other windows are not usable while this one is up).
Glib::PropertyProxy< WindowPosition > | property_window_position ()
| The initial position of the window.
Glib::PropertyProxy_ReadOnly< WindowPosition > | property_window_position () const
| The initial position of the window.
Glib::PropertyProxy< int > | property_default_width ()
| The default width of the window, used when initially showing the window.
Glib::PropertyProxy_ReadOnly< int > | property_default_width () const
| The default width of the window, used when initially showing the window.
Glib::PropertyProxy< int > | property_default_height ()
| The default height of the window, used when initially showing the window.
Glib::PropertyProxy_ReadOnly< int > | property_default_height () const
| The default height of the window, used when initially showing the window.
Glib::PropertyProxy< bool > | property_destroy_with_parent ()
| If this window should be destroyed when the parent is destroyed.
Glib::PropertyProxy_ReadOnly< bool > | property_destroy_with_parent () const
| If this window should be destroyed when the parent is destroyed.
Glib::PropertyProxy< bool > | property_hide_titlebar_when_maximized ()
| Whether the titlebar should be hidden during maximization.
Glib::PropertyProxy_ReadOnly< bool > | property_hide_titlebar_when_maximized () const
| Whether the titlebar should be hidden during maximization.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_icon ()
| Icon for this window.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_icon () const
| Icon for this window.
Glib::PropertyProxy< bool > | property_mnemonics_visible ()
| Whether mnemonics are currently visible in this window.
Glib::PropertyProxy_ReadOnly< bool > | property_mnemonics_visible () const
| Whether mnemonics are currently visible in this window.
Glib::PropertyProxy< Glib::ustring > | property_icon_name ()
| The :icon-name property specifies the name of the themed icon to use as the window icon.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_icon_name () const
| The :icon-name property specifies the name of the themed icon to use as the window icon.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Screen > > | property_screen ()
| The screen where this window will be displayed.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Screen > > | property_screen () const
| The screen where this window will be displayed.
Glib::PropertyProxy_ReadOnly< bool > | property_is_active () const
| Whether the toplevel is the current active window.
Glib::PropertyProxy_ReadOnly< bool > | property_has_toplevel_focus () const
| Whether the input focus is within this GtkWindow.
Glib::PropertyProxy< GdkWindowTypeHint > | property_type_hint ()
| Hint to help the desktop environment understand what kind of window this is and how to treat it.
Glib::PropertyProxy_ReadOnly< GdkWindowTypeHint > | property_type_hint () const
| Hint to help the desktop environment understand what kind of window this is and how to treat it.
Glib::PropertyProxy< bool > | property_skip_taskbar_hint ()
| true if the window should not be in the task bar.
Glib::PropertyProxy_ReadOnly< bool > | property_skip_taskbar_hint () const
| true if the window should not be in the task bar.
Glib::PropertyProxy< bool > | property_skip_pager_hint ()
| true if the window should not be in the pager.
Glib::PropertyProxy_ReadOnly< bool > | property_skip_pager_hint () const
| true if the window should not be in the pager.
Glib::PropertyProxy< Glib::ustring > | property_role ()
| Unique identifier for the window to be used when restoring a session.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_role () const
| Unique identifier for the window to be used when restoring a session.
Glib::PropertyProxy< bool > | property_decorated ()
| Whether the window should be decorated by the window manager.
Glib::PropertyProxy_ReadOnly< bool > | property_decorated () const
| Whether the window should be decorated by the window manager.
Glib::PropertyProxy< Gdk::Gravity > | property_gravity ()
| The window gravity of the window.
Glib::PropertyProxy_ReadOnly< Gdk::Gravity > | property_gravity () const
| The window gravity of the window.
Glib::PropertyProxy< Window * > | property_transient_for ()
| The transient parent of the window.
Glib::PropertyProxy_ReadOnly< Window * > | property_transient_for () const
| The transient parent of the window.
Glib::PropertyProxy< double > | property_opacity ()
| The opacity of the window, from 0 to 1.
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The opacity of the window, from 0 to 1.
Glib::PropertyProxy< bool > | property_has_resize_grip ()
| Whether the window has a corner resize grip.
Glib::PropertyProxy_ReadOnly< bool > | property_has_resize_grip () const
| Whether the window has a corner resize grip.
Glib::PropertyProxy_ReadOnly< bool > | property_resize_grip_visible () const
| Whether a corner resize grip is currently shown.
Glib::PropertyProxy< bool > | property_urgency_hint ()
| true if the window should be brought to the user's attention.
Glib::PropertyProxy_ReadOnly< bool > | property_urgency_hint () const
| true if the window should be brought to the user's attention.
Glib::PropertyProxy< bool > | property_accept_focus ()
| Whether the window should receive the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_accept_focus () const
| Whether the window should receive the input focus.
Glib::PropertyProxy< bool > | property_focus_on_map ()
| Whether the window should receive the input focus when mapped.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_map () const
| Whether the window should receive the input focus when mapped.
Glib::PropertyProxy< bool > | property_deletable ()
| Whether the window frame should have a close button.
Glib::PropertyProxy_ReadOnly< bool > | property_deletable () const
| Whether the window frame should have a close button.
Glib::PropertyProxy< Glib::RefPtr< Application > > | property_application ()
| The Gtk::Application associated with the window.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Application > > | property_application () const
| The Gtk::Application associated with the window.
Glib::PropertyProxy< bool > | property_focus_visible ()
| Whether 'focus rectangles' are currently visible in this window.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_visible () const
| Whether 'focus rectangles' are currently visible in this window.
Glib::PropertyProxy< Widget * > | property_attached_to ()
| The widget to which this window is attached.
Glib::PropertyProxy_ReadOnly< Widget * > | property_attached_to () const
| The widget to which this window is attached.
Glib::PropertyProxy_ReadOnly< bool > | property_is_maximized () const
| Whether the window is maximized.
Glib::SignalProxy< void, Widget * > | signal_set_focus ()
Glib::SignalProxy< void > | signal_keys_changed ()
void | set_title (const Glib::ustring & title)
| Sets the title of the Gtk::Window.
Glib::ustring | get_title () const
| Retrieves the title of the window.
void | set_wmclass (const Glib::ustring & wmclass_name, const Glib::ustring & wmclass_class)
| Don’t use this function.
void | set_role (const Glib::ustring & role)
| This function is only useful on X11, not with other GTK+ targets.
void | set_startup_id (const Glib::ustring & startup_id)
| Startup notification identifiers are used by desktop environment to track application startup, to provide user feedback and other features.
Glib::ustring | get_role () const
| Returns the role of the window.
void | add_accel_group (const Glib::RefPtr< AccelGroup > & accel_group)
| Associate accel_group with window, such that calling gtk_accel_groups_activate() on window will activate accelerators in accel_group.
void | remove_accel_group (const Glib::RefPtr< AccelGroup > & accel_group)
| Reverses the effects of add_accel_group().
void | set_position (WindowPosition position)
| Sets a position constraint for this window.
bool | activate_focus ()
| Activates the current focused widget within the window.
void | set_focus (Gtk::Widget & focus)
| If focus is not the current focus widget, and is focusable, sets it as the focus widget for the window.
void | unset_focus ()
Widget * | get_focus ()
| Retrieves the current focused widget within the window.
const Widget * | get_focus () const
| Retrieves the current focused widget within the window.
void | set_default (Gtk::Widget & default_widget)
| The default widget is the widget that's activated when the user presses Enter in a dialog (for example).
void | unset_default ()
Widget * | get_default_widget ()
| Returns the default widget for window.
const Widget * | get_default_widget () const
| Returns the default widget for window.
bool | activate_default ()
| Activates the default widget for the window, unless the current focused widget has been configured to receive the default action (see Gtk::Widget::set_receives_default()), in which case the focused widget is activated.
void | set_transient_for (Window & parent)
| Dialog windows should be set transient for the main application window they were spawned from.
void | unset_transient_for ()
| Unsets the current transient window.
Window * | get_transient_for ()
| Fetches the transient parent for this window.
const Window * | get_transient_for () const
| Fetches the transient parent for this window.
void | unset_attached_to ()
| Unsets the attached-to widget.
void | set_attached_to (Widget & attach_widget)
| Marks window as attached to attach_widget.
Widget * | get_attached_to ()
| Fetches the attach widget for this window.
const Widget * | get_attached_to () const
| Fetches the attach widget for this window.
void | set_opacity (double opacity)
| Request the windowing system to make window partially transparent, with opacity 0 being fully transparent and 1 fully opaque.
double | get_opacity () const
| Fetches the requested opacity for this window.
void | set_type_hint (Gdk::WindowTypeHint hint)
| By setting the type hint for the window, you allow the window manager to decorate and handle the window in a way which is suitable to the function of the window in your application.
Gdk::WindowTypeHint | get_type_hint () const
| Gets the type hint for this window.
void | set_skip_taskbar_hint (bool setting=true)
| Windows may set a hint asking the desktop environment not to display the window in the task bar.
bool | get_skip_taskbar_hint () const
| Gets the value set by set_skip_taskbar_hint().
void | set_skip_pager_hint (bool setting=true)
| Windows may set a hint asking the desktop environment not to display the window in the pager.
bool | get_skip_pager_hint () const
| Gets the value set by set_skip_pager_hint().
void | set_urgency_hint (bool setting=true)
| Windows may set a hint asking the desktop environment to draw the users attention to the window.
bool | get_urgency_hint () const
| Gets the value set by set_urgency_hint().
void | set_accept_focus (bool setting=true)
| Windows may set a hint asking the desktop environment not to receive the input focus.
bool | get_accept_focus () const
| Gets the value set by set_accept_focus().
void | set_focus_on_map (bool setting=true)
| Windows may set a hint asking the desktop environment not to receive the input focus when the window is mapped.
bool | get_focus_on_map () const
| Gets the value set by set_focus_on_map().
bool | get_destroy_with_parent () const
| Returns whether the window will be destroyed with its transient parent.
void | set_hide_titlebar_when_maximized (bool setting=true)
| If setting is true, then window will request that it’s titlebar should be hidden when maximized.
bool | get_hide_titlebar_when_maximized () const
| Returns whether the window has requested to have its titlebar hidden when maximized.
void | set_mnemonics_visible (bool setting=true)
| Sets the Gtk::Window::property_mnemonics_visible() property.
bool | get_mnemonics_visible () const
| Gets the value of the Gtk::Window::property_mnemonics_visible() property.
void | set_focus_visible (bool setting=true)
| Sets the Gtk::Window::property_focus_visible() property.
bool | get_focus_visible () const
| Gets the value of the Gtk::Window::property_focus_visible() property.
void | set_resizable (bool resizable=true)
| Sets whether the user can resize a window.
bool | get_resizable () const
| Gets the value set by set_resizable().
void | set_gravity (Gdk::Gravity gravity)
| Window gravity defines the meaning of coordinates passed to move().
Gdk::Gravity | get_gravity () const
| Gets the value set by set_gravity().
void | set_geometry_hints (Widget & geometry_widget, const Gdk::Geometry & geometry, Gdk::WindowHints geom_mask)
| This function sets up hints about how a window can be resized by the user.
void | set_screen (const Glib::RefPtr< Gdk::Screen > & screen)
| Sets the Gdk::Screen where the window is displayed; if the window is already mapped, it will be unmapped, and then remapped on the new screen.
Glib::RefPtr< Gdk::Screen > | get_screen ()
| Returns the Gdk::Screen associated with window.
Glib::RefPtr< const Gdk::Screen > | get_screen () const
| Returns the Gdk::Screen associated with window.
bool | is_active () const
| Returns whether the window is part of the current active toplevel.
bool | has_toplevel_focus () const
| Returns whether the input focus is within this GtkWindow.
void | set_decorated (bool setting=true)
| By default, windows are decorated with a title bar, resize controls, etc.
bool | get_decorated () const
| Returns whether the window has been set to have decorations such as a title bar via set_decorated().
void | set_deletable (bool setting=true)
| By default, windows have a close button in the window frame.
bool | get_deletable () const
| Returns whether the window has been set to have a close button via set_deletable().
std::vector< Glib::RefPtr< Gdk::Pixbuf > > | get_icon_list ()
| Retrieves the list of icons set by set_icon_list().
std::vector< Glib::RefPtr< const Gdk::Pixbuf > > | get_icon_list () const
| Retrieves the list of icons set by set_icon_list().
void | set_icon_list (const std::vector< Glib::RefPtr< Gdk::Pixbuf > > & list)
| Sets up the icon representing a Gtk::Window.
void | set_icon (const Glib::RefPtr< Gdk::Pixbuf > & icon)
| Sets up the icon representing a Gtk::Window.
void | set_icon_name (const Glib::ustring & name)
| Sets the icon for the window from a named themed icon.
bool | set_icon_from_file (const std::string & filename)
| Sets the icon for the window.
Glib::RefPtr< Gdk::Pixbuf > | get_icon ()
| Gets the value set by set_icon() (or if you've called set_icon_list(), gets the first icon in the icon list).
Glib::RefPtr< const Gdk::Pixbuf > | get_icon () const
| Gets the value set by set_icon() (or if you've called set_icon_list(), gets the first icon in the icon list).
Glib::ustring | get_icon_name () const
| Returns the name of the themed icon for the window, see set_icon_name().
void | set_modal (bool modal=true)
| Sets a window modal or non-modal.
bool | get_modal () const
| Returns whether the window is modal.
void | add_mnemonic (guint keyval, Widget & target)
| Adds a mnemonic to this window.
void | remove_mnemonic (guint keyval, Widget & target)
| Removes a mnemonic from this window.
bool | mnemonic_activate (guint keyval, Gdk::ModifierType modifier)
| Activates the targets associated with the mnemonic.
void | set_mnemonic_modifier (Gdk::ModifierType modifier)
| Sets the mnemonic modifier for this window.
Gdk::ModifierType | get_mnemonic_modifier ()
| Returns the mnemonic modifier for this window.
void | present ()
| Presents a window to the user.
void | present (guint32 timestamp)
| Presents a window to the user in response to a user interaction.
void | iconify ()
| Asks to iconify (i.e. minimize) the specified window.
void | deiconify ()
| Asks to deiconify (i.e. unminimize) the specified window.
void | stick ()
| Asks to stick window, which means that it will appear on all user desktops.
void | unstick ()
| Asks to unstick window, which means that it will appear on only one of the user’s desktops.
void | maximize ()
| Asks to maximize window, so that it becomes full-screen.
void | unmaximize ()
| Asks to unmaximize window.
void | fullscreen ()
| Asks to place window in the fullscreen state.
void | unfullscreen ()
| Asks to toggle off the fullscreen state for window.
void | fullscreen_on_monitor (const Glib::RefPtr< Gdk::Screen > & screen, int monitor)
| Asks to place window in the fullscreen state.
void | close ()
| Requests that the window is closed, similar to what happens when a window manager close button is clicked.
void | begin_resize_drag (Gdk::WindowEdge edge, int button, int root_x, int root_y, guint32 timestamp)
| Starts resizing a window.
void | begin_move_drag (int button, int root_x, int root_y, guint32 timestamp)
| Starts moving a window.
void | set_default_size (int width, int height)
| Sets the default size of a window.
void | get_default_size (int & width, int & height) const
| Gets the default size of the window.
void | resize (int width, int height)
| Resizes the window as if the user had done so, obeying geometry constraints.
void | get_size (int & width, int & height) const
| Obtains the current size of window.
void | move (int x, int y)
| Asks the [window manager][gtk-X11-arch] to move window to the given position.
void | get_position (int & root_x, int & root_y) const
| This function returns the position you need to pass to move() to keep window in its current position.
bool | parse_geometry (const Glib::ustring & geometry)
| Parses a standard X Window System geometry string - see the manual page for X (type “man X”) for details on this.
void | set_default_geometry (int width, int height)
| Like set_default_size(), but width and height are interpreted in terms of the base size and increment set with gtk_window_set_geometry_hints.
void | resize_to_geometry (int width, int height)
| Like resize(), but width and height are interpreted in terms of the base size and increment set with gtk_window_set_geometry_hints.
Glib::RefPtr< WindowGroup > | get_group ()
| Returns the group for window or the default group, if window is nullptr or if window does not have an explicit window group.
Glib::RefPtr< const WindowGroup > | get_group () const
| Returns the group for window or the default group, if window is nullptr or if window does not have an explicit window group.
bool | has_group () const
| Returns whether window has an explicit window group.
WindowType | get_window_type () const
| Gets the type of the window.
void | reshow_with_initial_size ()
| Hides window, then reshows it, resetting the default size and position of the window.
Glib::RefPtr< Application > | get_application ()
| Gets the Gtk::Application associated with the window (if any).
Glib::RefPtr< const Application > | get_application () const
| Gets the Gtk::Application associated with the window (if any).
void | set_application (const Glib::RefPtr< Application > & application)
| Sets the Gtk::Application associated with the window.
void | unset_application ()
| Unsets the Application associated with the window.
void | set_has_resize_grip (bool value=true)
| Sets whether window has a corner resize grip.
bool | get_has_resize_grip () const
| Determines whether the window may have a resize grip.
bool | get_resize_grip_is_visible () const
| Determines whether a resize grip is visible for the specified window.
bool | get_resize_grip_area (Gdk::Rectangle & rect) const
| If a window has a resize grip, this will retrieve the grip position, width and height into the specified Gdk::Rectangle.
void | set_keep_above (bool setting=true)
| Asks to keep window above, so that it stays on top.
void | set_keep_below (bool setting=true)
| Asks to keep window below, so that it stays in bottom.
void | set_titlebar (Widget & titlebar)
| Sets a custom titlebar for window.
Widget * | get_titlebar ()
| Returns the custom titlebar that has been set with set_titlebar().
const Widget * | get_titlebar () const
| Returns the custom titlebar that has been set with set_titlebar().
bool | is_maximized () const
| Retrieves the current maximized state of window.
void | show_uri (const Glib::ustring & uri, guint32 timestamp)
| This is a convenience function for launching the default application to show the uri.
Glib::RefPtr< AccelGroup > | get_accel_group ()
| Returns a default accel group for this window.
std::vector< Glib::RefPtr< AccelGroup > > | get_accel_groups ()
| Gets a vector containing each Gtk::AccelGroup associated with the window.
virtual void | raise ()
| Brings the window to the front.
void | set_manage () override
| Overriden to warn that it doesn't make sense to use Gtk::manage() on this class because it has no parent container.
Public Member Functions inherited from Gtk::Bin
| Bin (Bin && src) noexcept
Bin & | operator= (Bin && src) noexcept
| Bin (const Bin &)=delete
Bin & | operator= (const Bin &)=delete
| ~Bin () noexcept override
GtkBin * | gobj ()
| Provides access to the underlying C GObject.
const GtkBin * | gobj () const
| Provides access to the underlying C GObject.
Gtk::Widget * | get_child ()
| Gets the child of the Gtk::Bin, or nullptr if the bin contains no child widget.
const Gtk::Widget * | get_child () const
| Gets the child of the Gtk::Bin, or nullptr if the bin contains no child widget.
void | remove ()
| Remove the contained widget.
void | add_label (const Glib::ustring & label, bool mnemonic=false, double x_align=0.5, double y_align=0.5)
| Add a Label object.
void | add_label (const Glib::ustring & label, bool mnemonic, Align x_align, Align y_align=ALIGN_CENTER)
| Add a Label object.
void | add_pixlabel (const std::string & pixfile, const Glib::ustring & label, double x_align=0.5, double y_align=0.5)
| Add Image and Label objects.
void | add_pixlabel (const std::string & pixfile, const Glib::ustring & label, Align x_align, Align y_align=ALIGN_CENTER)
| Add Image and Label objects.
Public Member Functions inherited from Gtk::Container
| Container (Container && src) noexcept
Container & | operator= (Container && src) noexcept
| Container (const Container &)=delete
Container & | operator= (const Container &)=delete
| ~Container () noexcept override
GtkContainer * | gobj ()
| Provides access to the underlying C GObject.
const GtkContainer * | gobj () const
| Provides access to the underlying C GObject.
void | set_border_width (guint border_width)
| Sets the border width of the container.
guint | get_border_width () const
| Retrieves the border width of the container.
virtual void | add (Widget & widget)
| Adds widget to container.
void | remove (Widget & widget)
| Removes widget from the container.
void | set_resize_mode (ResizeMode resize_mode)
| Sets the resize mode for the container.
ResizeMode | get_resize_mode () const
| Returns the resize mode for the container.
void | check_resize ()
| Request that contained widgets check their size.
void | foreach (const ForeachSlot & slot)
| Operate on contained items.
void | forall (const ForeachSlot & slot)
| Operate on contained items, including internal children.
std::vector< Widget * > | get_children ()
| Returns the container’s non-internal children.
std::vector< const Widget * > | get_children () const
| Returns the container’s non-internal children.
void | propagate_draw (Widget & child, const ::Cairo::RefPtr< ::Cairo::Context > & cr)
| When a container receives a call to the draw function, it must send synthetic Gtk::Widget::signal_draw() calls to all children that don’t have their own Gdk::Windows.
void | set_focus_chain (const std::vector< Widget * > & focusable_widgets)
| Sets a focus chain, overriding the one computed automatically by GTK+.
bool | has_focus_chain () const
std::vector< Widget * > | get_focus_chain ()
std::vector< const Widget * > | get_focus_chain () const
void | unset_focus_chain ()
| Removes a focus chain explicitly set with set_focus_chain().
void | set_reallocate_redraws (bool needs_redraws=true)
| Sets the reallocate_redraws flag of the container to the given value.
void | set_focus_child (Widget & widget)
| Sets the focus on a child.
Widget * | get_focus_child ()
| Returns the current focus child widget inside container.
const Widget * | get_focus_child () const
| Returns the current focus child widget inside container.
void | set_focus_vadjustment (const Glib::RefPtr< Adjustment > & adjustment)
| Hooks up an adjustment to focus handling in a container, so when a child of the container is focused, the adjustment is scrolled to show that widget.
Glib::RefPtr< Adjustment > | get_focus_vadjustment ()
| Retrieves the vertical focus adjustment for the container.
Glib::RefPtr< const Adjustment > | get_focus_vadjustment () const
| Retrieves the vertical focus adjustment for the container.
void | set_focus_hadjustment (const Glib::RefPtr< Adjustment > & adjustment)
| Hooks up an adjustment to focus handling in a container, so when a child of the container is focused, the adjustment is scrolled to show that widget.
Glib::RefPtr< Adjustment > | get_focus_hadjustment ()
| Retrieves the horizontal focus adjustment for the container.
Glib::RefPtr< const Adjustment > | get_focus_hadjustment () const
| Retrieves the horizontal focus adjustment for the container.
void | resize_children ()
GType | child_type () const
| Returns the type of the children supported by the container.
WidgetPath | get_path_for_child (const Widget & child) const
| Returns a newly created widget path representing all the widget hierarchy from the toplevel down to and including child.
Glib::SignalProxy< void, Widget * > | signal_add ()
Glib::SignalProxy< void, Widget * > | signal_remove ()
Glib::SignalProxy< void > | signal_check_resize ()
Glib::SignalProxy< void, Widget * > | signal_set_focus_child ()
void | show_all_children (bool recursive=true)
Public Member Functions inherited from Gtk::Widget
| Widget (Widget && src) noexcept
Widget & | operator= (Widget && src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
| ~Widget () noexcept override
| Destroys the widget.
GtkWidget * | gobj ()
| Provides access to the underlying C GObject.
const GtkWidget * | gobj () const
| Provides access to the underlying C GObject.
void | show ()
| Flags a widget to be displayed.
void | show_now ()
| Shows a widget.
void | hide ()
| Reverses the effects of show(), causing the widget to be hidden (invisible to the user).
void | show_all ()
| Recursively shows a widget, and any child widgets (if the widget is a container).
void | queue_draw ()
| Equivalent to calling queue_draw_area() for the entire area of a widget.
void | queue_draw_area (int x, int y, int width, int height)
| Convenience function that calls queue_draw_region() on the region created from the given coordinates.
void | queue_draw_region (const ::Cairo::RefPtr< const ::Cairo::Region > & region)
| Invalidates the area of widget defined by region by calling gdk_window_invalidate_region() on the widget’s window and all its child windows.
void | queue_resize ()
| This function is only for use in widget implementations.
void | queue_allocate ()
| This function is only for use in widget implementations.
void | size_allocate (const Allocation & allocation)
| This function is only used by Gtk::Container subclasses, to assign a size and position to their child widgets.
void | size_allocate (const Allocation & allocation, int baseline)
| This function is only used by Gtk::Container subclasses, to assign a size, position and (optionally) baseline to their child widgets.
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout.
void | get_preferred_width (int & minimum_width, int & natural_width) const
| Retrieves a widget’s initial minimum and natural width.
void | get_preferred_height_for_width (int width, int & minimum_height, int & natural_height) const
| Retrieves a widget’s minimum and natural height if it would be given the specified width.
void | get_preferred_height_for_width (int width, int & minimum_height, int & natural_height, int & minimum_baseline, int & natural_baseline) const
| Retrieves a widget’s minimum and natural height and the corresponding baselines if it would be given the specified width, or the default height if width is -1.
void | get_preferred_height (int & minimum_height, int & natural_height) const
| Retrieves a widget’s initial minimum and natural height.
void | get_preferred_width_for_height (int height, int & minimum_width, int & natural_width) const
| Retrieves a widget’s minimum and natural width if it would be given the specified height.
void | get_preferred_size (Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget’s preference for height-for-width management.
void | add_accelerator (const Glib::ustring & accel_signal, const Glib::RefPtr< AccelGroup > & accel_group, guint accel_key, Gdk::ModifierType accel_mods, AccelFlags accel_flags)
| Installs an accelerator for this widget in accel_group that causes accel_signal to be emitted if the accelerator is activated.
bool | remove_accelerator (const Glib::RefPtr< AccelGroup > & accel_group, guint accel_key, Gdk::ModifierType accel_mods)
| Removes an accelerator from widget, previously installed with add_accelerator().
void | set_accel_path (const Glib::ustring & accel_path, const Glib::RefPtr< AccelGroup > & accel_group)
| Given an accelerator group, accel_group, and an accelerator path, accel_path, sets up an accelerator in accel_group so whenever the key binding that is defined for accel_path is pressed, widget will be activated.
bool | mnemonic_activate (bool group_cycling)
| Emits the Gtk::Widget::signal_mnemonic_activate() signal.
bool | event (GdkEvent * gdk_event)
| Rarely-used function.
int | send_expose (GdkEvent * gdk_event)
| Very rarely-used function.
bool | send_focus_change (GdkEvent * gdk_event)
| Sends the focus change gdk_event to widget.
bool | activate ()
| For widgets that can be “activated” (buttons, menu items, etc.) this function activates them.
void | reparent (Widget & new_parent)
| Moves a widget from one Gtk::Container to another, handling reference count issues to avoid destroying the widget.
bool | intersect (const Gdk::Rectangle & area) const
bool | intersect (const Gdk::Rectangle & area, Gdk::Rectangle & intersection) const
| Computes the intersection of a widget’s area and area, storing the intersection in intersection, and returns true if there was an intersection.
::Cairo::RefPtr< ::Cairo::Region > | region_intersect (const ::Cairo::RefPtr< ::Cairo::Region > & region) const
| Computes the intersection of a widget’s area and region, returning the intersection.
void | freeze_child_notify ()
| Stops emission of Gtk::Widget::signal_child_notify() signals on widget.
void | child_notify (const Glib::ustring & child_property)
| Emits a Gtk::Widget::signal_child_notify() signal for the [child property][child-properties] child_property on widget.
void | thaw_child_notify ()
| Reverts the effect of a previous call to freeze_child_notify().
void | set_can_focus (bool can_focus=true)
| Specifies whether widget can own the input focus.
bool | get_can_focus () const
| Determines whether widget can own the input focus.
bool | has_focus () const
| Determines if the widget has the global input focus.
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel.
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus.
void | grab_focus ()
| Causes widget to have the keyboard focus for the Gtk::Window it's inside.
void | set_focus_on_click (bool focus_on_click=true)
| Sets whether the widget should grab focus when it is clicked with the mouse.
bool | get_focus_on_click () const
| Returns whether the widget should grab focus when it is clicked with the mouse.
void | set_can_default (bool can_default=true)
| Specifies whether widget can be a default widget.
bool | get_can_default () const
| Determines whether widget can be a default widget.
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel.
void | grab_default ()
| Causes widget to become the default widget.
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
bool | get_receives_default () const
| Determines whether widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
bool | has_grab () const
| Determines whether the widget is currently grabbing events, so it is the only widget receiving input events (keyboard and mouse).
bool | device_is_shadowed (const Glib::RefPtr< const Gdk::Device > & device)
| Returns true if device has been shadowed by a GTK+ device grab on another widget, so it would stop sending events to widget.
void | add_modal_grab ()
| Block events to everything else than this widget and its children.
void | remove_modal_grab ()
| Remove the modal grab of the widget in case it was previously grabbed.
void | set_name (const Glib::ustring & name)
| Widgets can be named, which allows you to refer to them from a CSS file.
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget.
void | set_state (StateType state)
| This function is for use in widget implementations.
StateType | get_state () const
| Returns the widget’s state.
void | set_state_flags (StateFlags flags, bool clear=true)
| This function is for use in widget implementations.
void | unset_state_flags (StateFlags flags)
| This function is for use in widget implementations.
StateFlags | get_state_flags () const
| Returns the widget state as a flag set.
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget.
bool | get_sensitive () const
| Returns the widget’s sensitivity (in the sense of returning the value that has been set using set_sensitive()).
bool | is_sensitive () const
| Returns the widget’s effective sensitivity, which means it is sensitive itself and also its parent widget is sensitive.
void | set_visible (bool visible=true)
| Sets the visibility state of widget.
bool | get_visible () const
| Determines whether the widget is visible.
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible.
bool | get_has_window () const
| Determines whether widget has a Gdk::Window of its own.
bool | get_is_toplevel () const
| Determines whether widget is a toplevel widget.
bool | get_is_drawable () const
| Determines whether widget can be drawn to.
bool | get_realized () const
| Determines whether widget is realized.
bool | get_mapped () const
| Whether the widget is mapped.
void | set_app_paintable (bool app_paintable=true)
| Sets whether the application intends to draw on the widget in an Gtk::Widget::signal_draw() handler.
bool | get_app_paintable () const
| Determines whether the application intends to draw on the widget in an Gtk::Widget::signal_draw() handler.
void | set_double_buffered (bool double_buffered=true)
| Widgets are double buffered by default; you can use this function to turn off the buffering.
bool | get_double_buffered () const
| Determines whether the widget is double buffered.
void | set_redraw_on_allocate (bool redraw_on_allocate=true)
| Sets whether the entire widget is queued for drawing when its size allocation changes.
void | set_child_visible (bool visible=true)
| Sets whether widget should be mapped along with its when its parent is mapped and widget has been shown with show().
bool | get_child_visible () const
| Gets the value set with set_child_visible().
Glib::RefPtr< Gdk::Window > | get_window ()
| Returns the widget’s window if it is realized, nullptr otherwise.
Glib::RefPtr< const Gdk::Window > | get_window () const
| Returns the widget’s window if it is realized, nullptr otherwise.
void | register_window (const Glib::RefPtr< Gdk::Window > & window)
| Registers a Gdk::Window with the widget and sets it up so that the widget receives events for it.
void | unregister_window (const Glib::RefPtr< Gdk::Window > & window)
| Unregisters a Gdk::Window from the widget that was previously set up with register_window().
int | get_allocated_width () const
| Returns the width that has currently been allocated to widget.
int | get_allocated_height () const
| Returns the height that has currently been allocated to widget.
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to widget.
void | get_allocated_size (Allocation & allocation, int & baseline) const
| Retrieves the widget’s allocated size.
Allocation | get_allocation () const
| Retrieves the widget's location.
void | set_allocation (const Allocation & allocation)
| Sets the widget’s allocation.
void | set_clip (const Allocation & clip)
| Sets the widget’s clip.
Allocation | get_clip () const
| Retrieves the widget’s clip area.
Container * | get_parent ()
| Returns the parent container of widget.
const Container * | get_parent () const
| Returns the parent container of widget.
Glib::RefPtr< Gdk::Window > | get_parent_window ()
| Gets widget’s parent window, or nullptr if it does not have one.
Glib::RefPtr< const Gdk::Window > | get_parent_window () const
| Gets widget’s parent window, or nullptr if it does not have one.
void | set_parent_window (const Glib::RefPtr< const Gdk::Window > & parent_window)
| Sets a non default parent window for widget.
bool | child_focus (DirectionType direction)
| This function is used by custom widget implementations; if you're writing an app, you’d use grab_focus() to move the focus to a particular widget, and Gtk::Container::set_focus_chain() to change the focus tab order.
bool | keynav_failed (DirectionType direction)
| This function should be called whenever keyboard navigation within a single widget hits a boundary.
void | error_bell ()
| Notifies the user about an input-related error on this widget.
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget; that is, the widget’s size request will be at least width by height.
void | get_size_request (int & width, int & height) const
| Gets the size request that was explicitly set for the widget using set_size_request().
void | set_events (Gdk::EventMask events)
| Sets the event mask (see Gdk::EventMask) for a widget.
void | add_events (Gdk::EventMask events)
| Adds the events in the bitfield events to the event mask for widget.
void | set_device_events (const Glib::RefPtr< const Gdk::Device > & device, Gdk::EventMask events)
| Sets the device event mask (see Gdk::EventMask) for a widget.
void | add_device_events (const Glib::RefPtr< const Gdk::Device > & device, Gdk::EventMask events)
| Adds the device events in the bitfield events to the event mask for widget.
void | set_opacity (double opacity)
| Request the widget to be rendered partially transparent, with opacity 0 being fully transparent and 1 fully opaque.
double | get_opacity () const
| Fetches the requested opacity for this widget.
void | set_device_enabled (const Glib::RefPtr< Gdk::Device > & device, bool enabled=true)
| Enables or disables a Gdk::Device to interact with widget and all its children.
bool | get_device_enabled (const Glib::RefPtr< const Gdk::Device > & device) const
| Returns whether device can interact with widget and its children.
Container * | get_toplevel ()
| This function returns the topmost widget in the container hierarchy widget is a part of.
const Container * | get_toplevel () const
| This function returns the topmost widget in the container hierarchy widget is a part of.
Widget * | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type.
const Widget * | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type.
Glib::RefPtr< Gdk::Visual > | get_visual ()
| Gets the visual that will be used to render widget.
Glib::RefPtr< Gdk::Screen > | get_screen ()
| Get the Gdk::Screen from the toplevel window associated with this widget.
Glib::RefPtr< const Gdk::Screen > | get_screen () const
| Get the Gdk::Screen from the toplevel window associated with this widget.
bool | has_screen () const
| Checks whether there is a Gdk::Screen is associated with this widget.
int | get_scale_factor () const
| Retrieves the internal scale factor that maps from window coordinates to the actual device pixels.
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the Gdk::Display for the toplevel window associated with this widget.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the Gdk::Display for the toplevel window associated with this widget.
Glib::RefPtr< Gdk::Window > | get_root_window ()
| Get the root window where this widget is located.
Glib::RefPtr< const Gdk::Window > | get_root_window () const
| Get the root window where this widget is located.
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for this widget.
Glib::RefPtr< Clipboard > | get_clipboard (const Glib::ustring & selection)
| Returns the clipboard object for the given selection to be used with widget.
Glib::RefPtr< const Clipboard > | get_clipboard (const Glib::ustring & selection) const
| Returns the clipboard object for the given selection to be used with widget.
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space.
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space.
bool | get_hexpand_set () const
| Gets whether set_hexpand() has been used to explicitly set the expand flag on this widget.
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag (see get_hexpand()) will be used.
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space.
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space.
bool | get_vexpand_set () const
| Gets whether set_vexpand() has been used to explicitly set the expand flag on this widget.
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag (see get_vexpand()) will be used.
void | queue_compute_expand ()
| Mark widget as needing to recompute its expand flags.
bool | compute_expand (Orientation orientation)
| Computes whether a container should give this widget extra space when possible.
bool | get_support_multidevice () const
| Returns true if widget is multiple pointer aware.
void | set_support_multidevice (bool support_multidevice=true)
| Enables or disables multiple pointer awareness.
Glib::RefPtr< Atk::Object > | get_accessible ()
| Returns the accessible object that describes the widget to an assistive technology.
Glib::RefPtr< const Atk::Object > | get_accessible () const
| Returns the accessible object that describes the widget to an assistive technology.
Align | get_halign () const
| Gets the value of the Gtk::Widget::property_halign() property.
void | set_halign (Align align)
| Sets the horizontal alignment of widget.
Align | get_valign () const
| Gets the value of the Gtk::Widget::property_valign() property.
Align | get_valign_with_baseline () const
| Gets the value of the Gtk::Widget::property_valign() property, including Gtk::ALIGN_BASELINE.
void | set_valign (Align align)
| Sets the vertical alignment of widget.
int | get_margin_left () const
| Gets the value of the Gtk::Widget::property_margin_left() property.
void | set_margin_left (int margin)
| Sets the left margin of widget.
int | get_margin_right () const
| Gets the value of the Gtk::Widget::property_margin_right() property.
void | set_margin_right (int margin)
| Sets the right margin of widget.
int | get_margin_start () const
| Gets the value of the Gtk::Widget::property_margin_start() property.
void | set_margin_start (int margin)
| Sets the start margin of widget.
int | get_margin_end () const
| Gets the value of the Gtk::Widget::property_margin_end() property.
void | set_margin_end (int margin)
| Sets the end margin of widget.
int | get_margin_top () const
| Gets the value of the Gtk::Widget::property_margin_top() property.
void | set_margin_top (int margin)
| Sets the top margin of widget.
int | get_margin_bottom () const
| Gets the value of the Gtk::Widget::property_margin_bottom() property.
void | set_margin_bottom (int margin)
| Sets the bottom margin of widget.
Gdk::EventMask | get_events () const
| Returns the event mask (see Gdk::EventMask) for the widget.
Gdk::EventMask | get_device_events (const Glib::RefPtr< const Gdk::Device > & device) const
| Returns the events mask for the widget corresponding to an specific device.
void | get_pointer (int & x, int & y) const
| Obtains the location of the mouse pointer in widget coordinates.
bool | is_ancestor (Widget & ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers.
bool | translate_coordinates (Widget & dest_widget, int src_x, int src_y, int & dest_x, int & dest_y)
| Translate coordinates relative to src_widget’s allocation to coordinates relative to dest_widget’s allocations.
void | override_color (const Gdk::RGBA & color, StateFlags state=STATE_FLAG_NORMAL)
| Sets the color to use for a widget.
void | unset_color (StateFlags state=STATE_FLAG_NORMAL)
| Undoes the effect of previous calls to override_color().
void | override_background_color (const Gdk::RGBA & color, StateFlags state=STATE_FLAG_NORMAL)
| Sets the background color to use for a widget.
void | unset_background_color (StateFlags state=STATE_FLAG_NORMAL)
| Undoes the effect of previous calls to override_background_color().
void | override_font (const Pango::FontDescription & font_desc)
| Sets the font to use for a widget.
void | unset_font ()
| Undoes the effect of previous calls to override_font().
void | override_symbolic_color (const Glib::ustring & name, const Gdk::RGBA & color)
| Sets a symbolic color for a widget.
void | unset_symbolic_color (const Glib::ustring & name)
| Undoes the effect of previous calls to override_symbolic_color().
void | override_cursor (const Gdk::RGBA & cursor, const Gdk::RGBA & secondary_cursor)
| Sets the cursor color to use in a widget, overriding the cursor-color and secondary-cursor-color style properties.
void | unset_cursor ()
| Undoes the effect of previous calls to override_cursor().
void | reset_style ()
| Updates the style context of widget and all descendants by updating its widget path.
template<class PropertyType>
void | get_style_property (const Glib::ustring & the_property_name, PropertyType & value) const
| Gets the value of a style property of widget.
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context with the appropriate font map, font options, font description, and base direction for drawing text for this widget.
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a Pango::Context with the appropriate font map, font description, and base direction for this widget.
void | set_font_options (const ::Cairo::FontOptions & options)
| Sets the #cairo_font_options_t used for Pango rendering in this widget.
void | unset_font_options ()
| Undoes the effect of previous calls to set_font_options().
::Cairo::FontOptions | get_font_options () const
| Returns the #cairo_font_options_t used for Pango rendering.
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring & text)
| Creates a new Pango::Layout with the appropriate font map, font description, and base direction for drawing text for this widget.
Glib::RefPtr< Gdk::Pixbuf > | render_icon_pixbuf (const StockID & stock_id, IconSize size)
| A convenience function that uses the theme engine and style settings for widget to look up stock_id and render it to a pixbuf.
void | set_composite_name (const Glib::ustring & name)
| Sets a widgets composite name.
void | unset_composite_name ()
Glib::ustring | get_composite_name () const
| Obtains the composite name of a widget.
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget.
TextDirection | get_direction () const
| Gets the reading direction for a particular widget.
void | shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region > & region)
| Sets a shape for this widget’s GDK window.
void | input_shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region > & region)
| Sets an input shape for this widget’s GDK window.
WidgetPath | get_path () const
| Returns the Gtk::WidgetPath representing widget, if the widget is not connected to a toplevel widget, a partial path will be created.
std::vector< Widget * > | list_mnemonic_labels ()
| Returns a newly allocated list of the widgets, normally labels, for which this widget is the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()).
std::vector< const Widget * > | list_mnemonic_labels () const
| Returns a newly allocated list of the widgets, normally labels, for which this widget is the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()).
void | add_mnemonic_label (Widget & label)
| Adds a widget to the list of mnemonic labels for this widget.
void | remove_mnemonic_label (Widget & label)
| Removes a widget from the list of mnemonic labels for this widget.
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext > & context, const Glib::ustring & target, guint32 time)
void | drag_highlight ()
void | drag_unhighlight ()
void | drag_dest_set (DestDefaults flags=DestDefaults(0), Gdk::DragAction actions=Gdk::DragAction(0))
void | drag_dest_set (const std::vector< TargetEntry > & targets, DestDefaults flags=DEST_DEFAULT_ALL, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_dest_set_proxy (const Glib::RefPtr< Gdk::Window > & proxy_window, Gdk::DragProtocol protocol, bool use_coordinates)
| Sets this widget as a proxy for drops to another window.
void | drag_dest_unset ()
| Clears information about a drop destination set with gtk_drag_dest_set().
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext > & context, const Glib::RefPtr< TargetList > & target_list) const
| Looks for a match between context->targets and the dest_target_list, returning the first matching target, otherwise returning GDK_NONE.
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext > & context) const
Glib::RefPtr< TargetList > | drag_dest_get_target_list ()
| Returns the list of targets this widget can accept from drag-and-drop.
Glib::RefPtr< const TargetList > | drag_dest_get_target_list () const
| Returns the list of targets this widget can accept from drag-and-drop.
void | drag_dest_set_target_list (const Glib::RefPtr< TargetList > & target_list)
| Sets the target types that this widget can accept from drag-and-drop.
void | drag_dest_add_text_targets ()
| Add the text targets supported by Gtk::SelectionData to the target list of the drag destination.
void | drag_dest_add_image_targets ()
| Add the image targets supported by Gtk::SelectionData to the target list of the drag destination.
void | drag_dest_add_uri_targets ()
| Add the URI targets supported by Gtk::SelectionData to the target list of the drag destination.
void | drag_source_set (const std::vector< TargetEntry > & targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_source_unset ()
| Undoes the effects of gtk_drag_source_set().
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Pixbuf > & pixbuf)
| Sets the icon that will be used for drags from a particular widget from a Gdk::Pixbuf.
void | drag_source_set_icon (const StockID & stock_id)
| Sets the icon that will be used for drags from a particular source to a stock icon.
void | drag_source_set_icon (const Glib::ustring & icon_name)
| Sets the icon that will be used for drags from a particular source to a themed icon.
void | drag_source_add_text_targets ()
| Add the text targets supported by Gtk::SelectionData to the target list of the drag source.
void | drag_source_add_uri_targets ()
| Add the URI targets supported by Gtk::SelectionData to the target list of the drag source.
void | drag_source_add_image_targets ()
| Add the writable image targets supported by Gtk::SelectionData to the target list of the drag source.
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList > & targets, Gdk::DragAction actions, int button, GdkEvent * gdk_event)
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList > & targets, Gdk::DragAction actions, int button, GdkEvent * gdk_event, int x, int y)
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
void | drag_set_as_icon (const Glib::RefPtr< Gdk::DragContext > & context, int hot_x, int hot_y)
void | queue_resize_no_redraw ()
| This function works like queue_resize(), except that the widget is not invalidated.
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
| Obtains the frame clock for a widget.
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
| Obtains the frame clock for a widget.
bool | get_no_show_all () const
| Returns the current value of the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() will affect this widget.
void | set_no_show_all (bool no_show_all=true)
| Sets the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() will affect this widget.
void | set_parent (Widget & parent)
| This function is useful only when implementing subclasses of Gtk::Container.
void | unparent ()
| This function is only for use in widget implementations.
void | map ()
| This function is only for use in widget implementations.
void | unmap ()
| This function is only for use in widget implementations.
void | draw_insertion_cursor (const ::Cairo::RefPtr< ::Cairo::Context > & cr, const Gdk::Rectangle & location, bool is_primary, TextDirection direction, bool draw_arrow=true)
| Draws a text caret on cr at location.
void | set_tooltip_window (Window & custom_window)
| Replaces the default window used for displaying tooltips with custom_window.
Window * | get_tooltip_window ()
| Returns the Gtk::Window of the current tooltip.
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located.
void | set_tooltip_text (const Glib::ustring & text)
| Sets text as the contents of the tooltip.
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget.
void | set_tooltip_markup (const Glib::ustring & markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language.
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget.
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the has-tooltip property on widget to has_tooltip.
bool | get_has_tooltip () const
| Returns the current value of the has-tooltip property.
int | get_width () const
int | get_height () const
bool | is_composited () const
| Whether widget can rely on having its alpha channel drawn correctly.
bool | in_destruction () const
| Returns whether the widget is currently being destroyed.
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to widget.
Glib::RefPtr< Gtk::StyleContext > | get_style_context () const
| Returns the style context associated to widget.
Gdk::ModifierType | get_modifier_mask (Gdk::ModifierIntent intent)
| Returns the modifier mask the widget’s windowing system backend uses for a particular purpose.
guint | add_tick_callback (const SlotTick & slot)
| Queues an animation frame update and adds a callback to be called before each frame.
void | remove_tick_callback (guint id)
| Removes a tick callback previously registered with add_tick_callback().
void | insert_action_group (const Glib::ustring & name, const Glib::RefPtr< Gio::ActionGroup > & group)
| Inserts group into widget.
void | remove_action_group (const Glib::ustring & name)
| Removes a group from the widget.
Glib::RefPtr< Gio::ActionGroup > | get_action_group (const Glib::ustring & prefix)
| Retrieves the Gio::ActionGroup that was registered using prefix.
Glib::RefPtr< const Gio::ActionGroup > | get_action_group (const Glib::ustring & prefix) const
| Retrieves the Gio::ActionGroup that was registered using prefix.
std::vector< Glib::ustring > | list_action_prefixes () const
| Retrieves a nullptr-terminated array of strings containing the prefixes of Gio::ActionGroup's available to widget.
void | set_font_map (const Glib::RefPtr< Pango::FontMap > & font_map)
| Sets the font map to use for Pango rendering.
Glib::RefPtr< Pango::FontMap > | get_font_map ()
| Gets the font map that has been set with set_font_map().
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
| Gets the font map that has been set with set_font_map().
Glib::SignalProxy< void > | signal_show ()
Glib::SignalProxy< void > | signal_hide ()
Glib::SignalProxy< void > | signal_map ()
| Emitted on mapping of a widget to the screen.
Glib::SignalProxy< void > | signal_unmap ()
Glib::SignalProxy< void > | signal_realize ()
| Emitted on realization of a widget.
Glib::SignalProxy< void > | signal_unrealize ()
Glib::SignalProxy< void, Allocation & > | signal_size_allocate ()
Glib::SignalProxy< void, Gtk::StateType > | signal_state_changed ()
Glib::SignalProxy< void, Gtk::StateFlags > | signal_state_flags_changed ()
Glib::SignalProxy< void, Widget * > | signal_parent_changed ()
| Informs objects that their parent changed.
Glib::SignalProxy< void, Widget * > | signal_hierarchy_changed ()
Glib::SignalProxy< void > | signal_style_updated ()
Glib::SignalProxy< void, TextDirection > | signal_direction_changed ()
Glib::SignalProxy< void, bool > | signal_grab_notify ()
Glib::SignalProxy< void, GParamSpec * > | signal_child_notify ()
Glib::SignalProxyDetailedAnyType< void, GParamSpec * > | signal_child_notify (const Glib::ustring & child_property_name)
Glib::SignalProxy< bool, bool > | signal_mnemonic_activate ()
Glib::SignalProxy< void > | signal_grab_focus ()
Glib::SignalProxy< bool, DirectionType > | signal_focus ()
Glib::SignalProxy< bool, GdkEvent * > | signal_event ()
Glib::SignalProxy< void, GdkEvent * > | signal_event_after ()
Glib::SignalProxy< bool, GdkEventButton * > | signal_button_press_event ()
| Event triggered by user pressing button.
Glib::SignalProxy< bool, GdkEventButton * > | signal_button_release_event ()
| Event triggered by user releasing button.
Glib::SignalProxy< bool, GdkEventScroll * > | signal_scroll_event ()
Glib::SignalProxy< bool, GdkEventMotion * > | signal_motion_notify_event ()
| Event triggered by user moving pointer.
Glib::SignalProxy< bool, GdkEventAny * > | signal_delete_event ()
Glib::SignalProxy< bool, const ::Cairo::RefPtr< ::Cairo::Context > & > | signal_draw ()
Glib::SignalProxy< bool, GdkEventKey * > | signal_key_press_event ()
| Event triggered by a key press will widget has focus.
Glib::SignalProxy< bool, GdkEventKey * > | signal_key_release_event ()
| Event triggered by a key release will widget has focus.
Glib::SignalProxy< bool, GdkEventCrossing * > | signal_enter_notify_event ()
| Event triggered by pointer entering widget area.
Glib::SignalProxy< bool, GdkEventCrossing * > | signal_leave_notify_event ()
| Event triggered by pointer leaving widget area.
Glib::SignalProxy< bool, GdkEventConfigure * > | signal_configure_event ()
| Event triggered by a window resizing.
Glib::SignalProxy< bool, GdkEventFocus * > | signal_focus_in_event ()
Glib::SignalProxy< bool, GdkEventFocus * > | signal_focus_out_event ()
Glib::SignalProxy< bool, GdkEventAny * > | signal_map_event ()
Glib::SignalProxy< bool, GdkEventAny * > | signal_unmap_event ()
Glib::SignalProxy< bool, GdkEventProperty * > | signal_property_notify_event ()
Glib::SignalProxy< bool, GdkEventSelection * > | signal_selection_clear_event ()
Glib::SignalProxy< bool, GdkEventSelection * > | signal_selection_request_event ()
Glib::SignalProxy< bool, GdkEventSelection * > | signal_selection_notify_event ()
Glib::SignalProxy< bool, GdkEventProximity * > | signal_proximity_in_event ()
Glib::SignalProxy< bool, GdkEventProximity * > | signal_proximity_out_event ()
Glib::SignalProxy< bool, GdkEventVisibility * > | signal_visibility_notify_event ()
Glib::SignalProxy< bool, GdkEventWindowState * > | signal_window_state_event ()
Glib::SignalProxy< void, SelectionData &, guint, guint > | signal_selection_get ()
Glib::SignalProxy< void, const SelectionData &, guint > | signal_selection_received ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_begin ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_end ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > &, SelectionData &, guint, guint > | signal_drag_data_get ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_data_delete ()
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext > &, DragResult > | signal_drag_failed ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > &, guint > | signal_drag_leave ()
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext > &, int, int, guint > | signal_drag_motion ()
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext > &, int, int, guint > | signal_drag_drop ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext > &, int, int, const SelectionData &, guint, guint > | signal_drag_data_received ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::Screen > & > | signal_screen_changed ()
Glib::SignalProxy< void > | signal_composited_changed ()
Glib::SignalProxy< bool > | signal_popup_menu ()
Glib::SignalProxy< bool, int, int, bool, const Glib::RefPtr< Tooltip > & > | signal_query_tooltip ()
Glib::SignalProxy< bool, GdkEventGrabBroken * > | signal_grab_broken_event ()
Glib::SignalProxy< bool, GdkEventExpose * > | signal_damage_event ()
Glib::SignalProxy< bool, GdkEventTouch * > | signal_touch_event ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget.
Glib::PropertyProxy< Container * > | property_parent ()
| The parent widget of this widget.
Glib::PropertyProxy_ReadOnly< Container * > | property_parent () const
| The parent widget of this widget.
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible.
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input.
Glib::PropertyProxy< bool > | property_app_paintable ()
| Whether the application will paint directly on the widget.
Glib::PropertyProxy_ReadOnly< bool > | property_app_paintable () const
| Whether the application will paint directly on the widget.
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget can accept the input focus.
Glib::PropertyProxy< bool > | property_has_focus ()
| Whether the widget has the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus.
Glib::PropertyProxy< bool > | property_is_focus ()
| Whether the widget is the focus widget within the toplevel.
Glib::PropertyProxy_ReadOnly< bool > | property_is_focus () const
| Whether the widget is the focus widget within the toplevel.
Glib::PropertyProxy< bool > | property_focus_on_click ()
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy< bool > | property_can_default ()
| Whether the widget can be the default widget.
Glib::PropertyProxy_ReadOnly< bool > | property_can_default () const
| Whether the widget can be the default widget.
Glib::PropertyProxy< bool > | property_has_default ()
| Whether the widget is the default widget.
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget.
Glib::PropertyProxy< bool > | property_receives_default ()
| If true, the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| If true, the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly< bool > | property_composite_child () const
| Whether the widget is part of a composite widget.
Glib::PropertyProxy< Glib::RefPtr< Style > > | property_style ()
| The style of the widget, which contains information about how it will look (colors, etc).
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Style > > | property_style () const
| The style of the widget, which contains information about how it will look (colors, etc).
Glib::PropertyProxy< Gdk::EventMask > | property_events ()
| The event mask that decides what kind of GdkEvents this widget gets.
Glib::PropertyProxy_ReadOnly< Gdk::EventMask > | property_events () const
| The event mask that decides what kind of GdkEvents this widget gets.
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Enables or disables the emission of Gtk::Widget::signal_query_tooltip() on widget.
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Enables or disables the emission of Gtk::Widget::signal_query_tooltip() on widget.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| Sets the text of tooltip to be the given string, which is marked up with the [Pango text markup language][PangoMarkupFormat].
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| Sets the text of tooltip to be the given string, which is marked up with the [Pango text markup language][PangoMarkupFormat].
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Window > > | property_window () const
| The widget's window if it is realized, nullptr otherwise.
Glib::PropertyProxy< bool > | property_no_show_all ()
| Whether Gtk::Widget::show_all() should not affect this widget.
Glib::PropertyProxy_ReadOnly< bool > | property_no_show_all () const
| Whether Gtk::Widget::show_all() should not affect this widget.
Glib::PropertyProxy< bool > | property_double_buffered ()
| Whether the widget is double buffered.
Glib::PropertyProxy_ReadOnly< bool > | property_double_buffered () const
| Whether the widget is double buffered.
Glib::PropertyProxy< Align > | property_halign ()
| How to distribute horizontal space if widget gets extra space, see Gtk::Align.
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
| How to distribute horizontal space if widget gets extra space, see Gtk::Align.
Glib::PropertyProxy< Align > | property_valign ()
| How to distribute vertical space if widget gets extra space, see Gtk::Align.
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
| How to distribute vertical space if widget gets extra space, see Gtk::Align.
Glib::PropertyProxy< int > | property_margin_left ()
| Margin on left side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_left () const
| Margin on left side of widget.
Glib::PropertyProxy< int > | property_margin_right ()
| Margin on right side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_right () const
| Margin on right side of widget.
Glib::PropertyProxy< int > | property_margin_start ()
| Margin on start of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
| Margin on start of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_end ()
| Margin on end of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
| Margin on end of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_top ()
| Margin on top side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Margin on top side of widget.
Glib::PropertyProxy< int > | property_margin_bottom ()
| Margin on bottom side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Margin on bottom side of widget.
Glib::PropertyProxy< int > | property_margin ()
| Sets all four sides' margin at once.
Glib::PropertyProxy_ReadOnly< int > | property_margin () const
| Sets all four sides' margin at once.
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether to expand horizontally.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
| Whether to expand horizontally.
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the Gtk::Widget::property_hexpand() property.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
| Whether to use the Gtk::Widget::property_hexpand() property.
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether to expand vertically.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
| Whether to expand vertically.
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the Gtk::Widget::property_vexpand() property.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
| Whether to use the Gtk::Widget::property_vexpand() property.
Glib::PropertyProxy< bool > | property_expand ()
| Whether to expand in both directions.
Glib::PropertyProxy_ReadOnly< bool > | property_expand () const
| Whether to expand in both directions.
Glib::PropertyProxy< double > | property_opacity ()
| The requested opacity of the widget.
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The requested opacity of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
| The scale factor of the widget.
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
GObject * | gobj ()
| Provides access to the underlying C GObject.
const GObject * | gobj () const
| Provides access to the underlying C GObject.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable && src) noexcept
Buildable & | operator= (Buildable && src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject.
void | set_name (const Glib::ustring & name)
| Sets the name of the buildable object.
Glib::ustring | get_name () const
| Gets the name of the buildable object.
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Atk::Implementor
| Implementor (Implementor &&src) noexcept
Implementor & | operator= (Implementor &&src) noexcept
| ~Implementor () noexcept override
AtkImplementor * | gobj ()
const AtkImplementor * | gobj () const
Glib::RefPtr< Atk::Implementor > | wrap (AtkImplementor *object, bool take_copy=false)

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Dialog
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static bool | alternative_button_order (const Glib::RefPtr< const Gdk::Screen > & screen)
| Returns true if dialogs are expected to use an alternative button order on the screen screen.
Static Public Member Functions inherited from Gtk::Window
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static void | set_default_icon_list (const std::vector< Glib::RefPtr< Gdk::Pixbuf > > & list)
| Sets an icon list to be used as fallback for windows that haven't had set_icon_list() called on them to set up a window-specific icon list.
static std::vector< Glib::RefPtr< Gdk::Pixbuf > > | get_default_icon_list ()
| Gets the value set by Gtk::Window::set_default_icon_list().
static void | set_default_icon (const Glib::RefPtr< Gdk::Pixbuf > & icon)
| Sets an icon to be used as fallback for windows that haven't had set_icon() called on them from a pixbuf.
static void | set_default_icon_name (const Glib::ustring & name)
| Sets an icon to be used as fallback for windows that haven't had set_icon_list() called on them from a named themed icon, see set_icon_name().
static bool | set_default_icon_from_file (const std::string & filename)
| Sets an icon to be used as fallback for windows that haven't had set_icon_list() called on them from a file on disk.
static void | set_auto_startup_notification (bool setting=true)
| By default, after showing the first Gtk::Window, GTK+ calls gdk_notify_startup_complete().
static std::vector< Window * > | list_toplevels ()
| Returns a list of all existing toplevel windows.
Static Public Member Functions inherited from Gtk::Bin
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Container
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Widget * | get_current_modal_grab ()
| Retrieve the widget which is currently grabbing all events.
static void | push_composite_child ()
| Makes all newly-created widgets as composite children until the corresponding pop_composite_child() call.
static void | pop_composite_child ()
| Cancels the effect of a previous call to push_composite_child().
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets where the direction has not been explicitly set by set_direction().
static TextDirection | get_default_direction ()
| Obtains the current default reading direction.
static Widget * | drag_get_source_widget (const Glib::RefPtr< Gdk::DragContext > & context)
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Implementor
static void | add_interface (GType gtype_implementer)
static GType | get_type ()

## Related Symbols
(Note that these are not member symbols.)
Gtk::PrintUnixDialog * | wrap (GtkPrintUnixDialog * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Dialog
Gtk::Dialog * | wrap (GtkDialog * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Window
Gtk::Window * | wrap (GtkWindow * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Bin
Gtk::Bin * | wrap (GtkBin * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Container
Gtk::Container * | wrap (GtkContainer * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Widget
Gtk::Widget * | wrap (GtkWidget * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::Container
typedef sigc::slot< void, Widget & > | ForeachSlot
| A slot to invoke with each child iterated over by foreach() or forall().
Public Types inherited from Gtk::Widget
using | SlotTick = sigc::slot<bool(const Glib::RefPtr<Gdk::FrameClock>&)>
| Callback type for adding a function to update animations.
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Gtk::Dialog
virtual void | on_response (int response_id)
| This is a default handler for the signal signal_response().
Protected Member Functions inherited from Gtk::Window
virtual void | on_set_focus (Widget * focus)
| This is a default handler for the signal signal_set_focus().
void | destroy_ ()
Protected Member Functions inherited from Gtk::Bin
| Bin ()
| This constructor is protected because only derived classes should be instantiated.
Protected Member Functions inherited from Gtk::Container
virtual void | on_add (Widget * widget)
| This is a default handler for the signal signal_add().
virtual void | on_remove (Widget * widget)
| This is a default handler for the signal signal_remove().
virtual void | on_check_resize ()
| This is a default handler for the signal signal_check_resize().
virtual void | on_set_focus_child (Widget * widget)
| This is a default handler for the signal signal_set_focus_child().
| Container ()
virtual GType | child_type_vfunc () const
| Implements child_type().
virtual void | forall_vfunc (gboolean include_internals, GtkCallback callback, gpointer callback_data)
| Invokes a callback on all children of the container.
virtual char * | composite_name_vfunc (GtkWidget * child)
| Returns the composite name of a child widget.
virtual void | set_child_property_vfunc (GtkWidget * child, guint property_id, const GValue * value, GParamSpec * pspec)
| Sets a child property for this container and its child.
virtual void | get_child_property_vfunc (GtkWidget * child, guint property_id, GValue * value, GParamSpec * pspec) const
| Returns a child property for this container and its child.
Glib::PropertyProxy< guint > | property_border_width ()
| The width of the empty border outside the containers children.
Glib::PropertyProxy_ReadOnly< guint > | property_border_width () const
| The width of the empty border outside the containers children.
Glib::PropertyProxy< ResizeMode > | property_resize_mode ()
| Specify how resize events are handled.
Glib::PropertyProxy_ReadOnly< ResizeMode > | property_resize_mode () const
| Specify how resize events are handled.
Glib::PropertyProxy_WriteOnly< Widget * > | property_child ()
| Can be used to add a new child to the container.
Protected Member Functions inherited from Gtk::Widget
virtual void | on_show ()
| This is a default handler for the signal signal_show().
virtual void | on_hide ()
| This is a default handler for the signal signal_hide().
virtual void | on_map ()
| This is a default handler for the signal signal_map().
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap().
virtual void | on_realize ()
| This is a default handler for the signal signal_realize().
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize().
virtual void | on_size_allocate (Allocation & allocation)
| This is a default handler for the signal signal_size_allocate().
virtual void | on_state_changed (Gtk::StateType previous_state)
| This is a default handler for the signal signal_state_changed().
virtual void | on_parent_changed (Widget * previous_parent)
| This is a default handler for the signal signal_parent_changed().
virtual void | on_hierarchy_changed (Widget * previous_toplevel)
| This is a default handler for the signal signal_hierarchy_changed().
virtual void | on_style_updated ()
| This is a default handler for the signal signal_style_updated().
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed().
virtual void | on_grab_notify (bool was_grabbed)
| This is a default handler for the signal signal_grab_notify().
virtual void | on_child_notify (GParamSpec * pspec)
| This is a default handler for the signal signal_child_notify().
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate().
virtual void | on_grab_focus ()
| This is a default handler for the signal signal_grab_focus().
virtual bool | on_focus (DirectionType direction)
| This is a default handler for the signal signal_focus().
virtual bool | on_event (GdkEvent * gdk_event)
| This is a default handler for the signal signal_event().
virtual bool | on_button_press_event (GdkEventButton * button_event)
| This is a default handler for the signal signal_button_press_event().
virtual bool | on_button_release_event (GdkEventButton * release_event)
| This is a default handler for the signal signal_button_release_event().
virtual bool | on_scroll_event (GdkEventScroll * scroll_event)
| This is a default handler for the signal signal_scroll_event().
virtual bool | on_motion_notify_event (GdkEventMotion * motion_event)
| This is a default handler for the signal signal_motion_notify_event().
virtual bool | on_delete_event (GdkEventAny * any_event)
| This is a default handler for the signal signal_delete_event().
virtual bool | on_draw (const ::Cairo::RefPtr< ::Cairo::Context > & cr)
| This is a default handler for the signal signal_draw().
virtual bool | on_key_press_event (GdkEventKey * key_event)
| This is a default handler for the signal signal_key_press_event().
virtual bool | on_key_release_event (GdkEventKey * key_event)
| This is a default handler for the signal signal_key_release_event().
virtual bool | on_enter_notify_event (GdkEventCrossing * crossing_event)
| This is a default handler for the signal signal_enter_notify_event().
virtual bool | on_leave_notify_event (GdkEventCrossing * crossing_event)
| This is a default handler for the signal signal_leave_notify_event().
virtual bool | on_configure_event (GdkEventConfigure * configure_event)
| This is a default handler for the signal signal_configure_event().
virtual bool | on_focus_in_event (GdkEventFocus * focus_event)
| This is a default handler for the signal signal_focus_in_event().
virtual bool | on_focus_out_event (GdkEventFocus * gdk_event)
| This is a default handler for the signal signal_focus_out_event().
virtual bool | on_map_event (GdkEventAny * any_event)
| This is a default handler for the signal signal_map_event().
virtual bool | on_unmap_event (GdkEventAny * any_event)
| This is a default handler for the signal signal_unmap_event().
virtual bool | on_property_notify_event (GdkEventProperty * property_event)
| This is a default handler for the signal signal_property_notify_event().
virtual bool | on_selection_clear_event (GdkEventSelection * selection_event)
| This is a default handler for the signal signal_selection_clear_event().
virtual bool | on_selection_request_event (GdkEventSelection * selection_event)
| This is a default handler for the signal signal_selection_request_event().
virtual bool | on_selection_notify_event (GdkEventSelection * selection_event)
| This is a default handler for the signal signal_selection_notify_event().
virtual bool | on_proximity_in_event (GdkEventProximity * proximity_event)
| This is a default handler for the signal signal_proximity_in_event().
virtual bool | on_proximity_out_event (GdkEventProximity * proximity_event)
| This is a default handler for the signal signal_proximity_out_event().
virtual bool | on_visibility_notify_event (GdkEventVisibility * visibility_event)
| This is a default handler for the signal signal_visibility_notify_event().
virtual bool | on_window_state_event (GdkEventWindowState * window_state_event)
| This is a default handler for the signal signal_window_state_event().
virtual void | on_selection_get (SelectionData & selection_data, guint info, guint time)
| This is a default handler for the signal signal_selection_get().
virtual void | on_selection_received (const SelectionData & selection_data, guint time)
| This is a default handler for the signal signal_selection_received().
virtual void | on_drag_begin (const Glib::RefPtr< Gdk::DragContext > & context)
| This is a default handler for the signal signal_drag_begin().
virtual void | on_drag_end (const Glib::RefPtr< Gdk::DragContext > & context)
| This is a default handler for the signal signal_drag_end().
virtual void | on_drag_data_get (const Glib::RefPtr< Gdk::DragContext > & context, SelectionData & selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_get().
virtual void | on_drag_data_delete (const Glib::RefPtr< Gdk::DragContext > & context)
| This is a default handler for the signal signal_drag_data_delete().
virtual void | on_drag_leave (const Glib::RefPtr< Gdk::DragContext > & context, guint time)
| This is a default handler for the signal signal_drag_leave().
virtual bool | on_drag_motion (const Glib::RefPtr< Gdk::DragContext > & context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_motion().
virtual bool | on_drag_drop (const Glib::RefPtr< Gdk::DragContext > & context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_drop().
virtual void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext > & context, int x, int y, const SelectionData & selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_received().
virtual void | on_screen_changed (const Glib::RefPtr< Gdk::Screen > & previous_screen)
| This is a default handler for the signal signal_screen_changed().
virtual void | dispatch_child_properties_changed_vfunc (guint p1, GParamSpec ** p2)
virtual void | show_all_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_accessible_vfunc ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (int & minimum_width, int & natural_width) const
virtual void | get_preferred_height_for_width_vfunc (int width, int & minimum_height, int & natural_height) const
virtual void | get_preferred_height_vfunc (int & minimum_height, int & natural_height) const
virtual void | get_preferred_width_for_height_vfunc (int height, int & minimum_width, int & natural_width) const
| Widget ()
void | realize ()
| Creates the GDK (windowing system) resources associated with a widget.
void | unrealize ()
| This function is only useful in widget implementations.
void | draw (const ::Cairo::RefPtr< ::Cairo::Context > & cr)
| Draws widget to cr.
void | set_mapped (bool mapped=true)
| Marks the widget as being mapped.
void | set_realized (bool realized=true)
| Marks the widget as being realized.
void | set_has_window (bool has_window=true)
| Specifies whether widget has a Gdk::Window of its own.
void | set_window (const Glib::RefPtr< Gdk::Window > & window)
| Sets a widget's window.
void | transform_cairo_context_to_window (const ::Cairo::RefPtr< ::Cairo::Context > & cr, const Glib::RefPtr< const Gdk::Window > & window)
| Transforms the given cairo context cr from widget-relative coordinates to window-relative coordinates.
Requisition | get_requisition () const
| Retrieves the widget's requisition.
void | get_style_property_value (const Glib::ustring & the_property_name, Glib::ValueBase & value) const
| Gets the value of a style property of widget.
void | realize_if_needed ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Atk::Implementor
| Implementor ()
virtual Glib::RefPtr< Object > | ref_accessibile_vfunc ()
Static Protected Member Functions inherited from Gtk::Widget
static bool | should_draw_window (const ::Cairo::RefPtr< const ::Cairo::Context > & cr, const Glib::RefPtr< const Gdk::Window > & window)
| This function is supposed to be called in Gtk::Widget::signal_draw() implementations for widgets that support multiple windows.

## Detailed Description

PrintUnixDialog implements a print dialog for platforms which don't provide a native print dialog, like Unix.

It can be used very much like any other GTK+ dialog, at the cost of the portability offered by the high-level printing API exposed through PrintOperation.

In order to print something with PrintUnixDialog, you need to use get_selected_printer() to obtain a Printer object and use it to construct a PrintJob using PrintJob::create().

PrintUnixDialog uses the following response values:

- RESPONSE_OK for the "Print" button
- RESPONSE_APPLY for the "Preview" button

- RESPONSE_CANCEL for the "Cancel" button

  Since gtkmm 2.10

## Constructor & Destructor Documentation

## ◆ PrintUnixDialog() [1/4]

Gtk::PrintUnixDialog::PrintUnixDialog | ( | PrintUnixDialog && | src | ) |
| noexcept

## ◆ PrintUnixDialog() [2/4]

Gtk::PrintUnixDialog::PrintUnixDialog | ( | const PrintUnixDialog & |  | ) |
| delete

## ◆ ~PrintUnixDialog()

Gtk::PrintUnixDialog::~PrintUnixDialog | ( |  | ) |
| overridenoexcept

## ◆ PrintUnixDialog() [3/4]

Gtk::PrintUnixDialog::PrintUnixDialog | ( | Gtk::Window & | parent,
|  | const Glib::ustring & | title )
| explicit

## ◆ PrintUnixDialog() [4/4]

Gtk::PrintUnixDialog::PrintUnixDialog | ( | const Glib::ustring & | title | ) |
| explicit

## Member Function Documentation

## ◆ add_custom_tab() [1/2]

void Gtk::PrintUnixDialog::add_custom_tab | ( | const Widget & | child,
|  | const Glib::ustring & | tab_label )

## ◆ add_custom_tab() [2/2]

void Gtk::PrintUnixDialog::add_custom_tab | ( | const Widget & | child,
|  | const Widget & | tab_label )

Adds a custom tab to the print dialog.

Since gtkmm 2.10

Parameters

  child | The widget to put in the custom tab.
  tab_label | The widget to use as tab label.

## ◆ get_current_page()

int Gtk::PrintUnixDialog::get_current_page | ( |  | ) | const

Gets the current page of the Gtk::PrintUnixDialog.

Since gtkmm 2.10

Returns
  The current page of dialog.

## ◆ get_embed_page_setup()

bool Gtk::PrintUnixDialog::get_embed_page_setup | ( |  | ) | const

Gets the value of Gtk::PrintUnixDialog::property_embed_page_setup() property.

Since gtkmm 2.18

Returns
  Whether there is a selection.

## ◆ get_has_selection()

bool Gtk::PrintUnixDialog::get_has_selection | ( |  | ) | const

Gets the value of Gtk::PrintUnixDialog::property_has_selection() property.

Since gtkmm 2.18

Returns
  Whether there is a selection.

## ◆ get_manual_capabilities()

PrintCapabilities Gtk::PrintUnixDialog::get_manual_capabilities | ( |  | ) | const

Gets the value of Gtk::PrintUnixDialog::property_manual_capabilities() property.

Since gtkmm 2.18

Returns
  The printing capabilities.

## ◆ get_page_setup() [1/2]

Glib::RefPtr< PageSetup > Gtk::PrintUnixDialog::get_page_setup | ( |  | ) |

Gets the page setup that is used by the Gtk::PrintUnixDialog.

Since gtkmm 2.10

Returns
  The page setup of dialog.

## ◆ get_page_setup() [2/2]

Glib::RefPtr< const PageSetup > Gtk::PrintUnixDialog::get_page_setup | ( |  | ) | const

Gets the page setup that is used by the Gtk::PrintUnixDialog.

Since gtkmm 2.10

Returns
  The page setup of dialog.

## ◆ get_page_setup_set()

bool Gtk::PrintUnixDialog::get_page_setup_set | ( |  | ) | const

Gets the page setup that is used by the Gtk::PrintUnixDialog.

Since gtkmm 2.18

Returns
  Whether a page setup was set by user.

## ◆ get_selected_printer() [1/2]

Glib::RefPtr< Printer > Gtk::PrintUnixDialog::get_selected_printer | ( |  | ) |

Gets the currently selected printer.

Since gtkmm 2.10

Returns
  The currently selected printer.

## ◆ get_selected_printer() [2/2]

Glib::RefPtr< const Printer > Gtk::PrintUnixDialog::get_selected_printer | ( |  | ) | const

Gets the currently selected printer.

Since gtkmm 2.10

Returns
  The currently selected printer.

## ◆ get_settings() [1/2]

Glib::RefPtr< PrintSettings > Gtk::PrintUnixDialog::get_settings | ( |  | ) |

Gets a new Gtk::PrintSettings object that represents the current values in the print dialog.

Note that this creates a new object, and you need to unref it if don’t want to keep it.

Since gtkmm 2.10

Returns
  A new Gtk::PrintSettings object with the values from dialog.

## ◆ get_settings() [2/2]

Glib::RefPtr< const PrintSettings > Gtk::PrintUnixDialog::get_settings | ( |  | ) | const

Gets a new Gtk::PrintSettings object that represents the current values in the print dialog.

Note that this creates a new object, and you need to unref it if don’t want to keep it.

Since gtkmm 2.10

Returns
  A new Gtk::PrintSettings object with the values from dialog.

## ◆ get_support_selection() [1/2]

bool Gtk::PrintUnixDialog::get_support_selection | ( |  | ) | const

Gets the value of Gtk::PrintUnixDialog::property_support_selection() property.

Since gtkmm 2.18

Returns
  Whether the application supports print of selection.

## ◆ get_support_selection() [2/2]

void Gtk::PrintUnixDialog::get_support_selection | ( | bool | support_selection = true | ) |

Sets whether the print dialog allows user to print a selection.

Since gtkmm 2.18

Parameters

  support_selection | true to allow print selection.

## ◆ get_type()

GType Gtk::PrintUnixDialog::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkPrintUnixDialog * Gtk::PrintUnixDialog::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkPrintUnixDialog * Gtk::PrintUnixDialog::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=() [1/2]

PrintUnixDialog & Gtk::PrintUnixDialog::operator= | ( | const PrintUnixDialog & |  | ) |
| delete

## ◆ operator=() [2/2]

PrintUnixDialog & Gtk::PrintUnixDialog::operator= | ( | PrintUnixDialog && | src | ) |
| noexcept

## ◆ property_current_page() [1/2]

Glib::PropertyProxy< int > Gtk::PrintUnixDialog::property_current_page | ( |  | ) |

The current page in the document.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_current_page() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::PrintUnixDialog::property_current_page | ( |  | ) | const

The current page in the document.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_embed_page_setup() [1/2]

Glib::PropertyProxy< bool > Gtk::PrintUnixDialog::property_embed_page_setup | ( |  | ) |

true if page setup combos are embedded in GtkPrintUnixDialog.

Default value: false

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_embed_page_setup() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::PrintUnixDialog::property_embed_page_setup | ( |  | ) | const

true if page setup combos are embedded in GtkPrintUnixDialog.

Default value: false

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_selection() [1/2]

Glib::PropertyProxy< bool > Gtk::PrintUnixDialog::property_has_selection | ( |  | ) |

Whether the application has a selection.

Default value: false

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_selection() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::PrintUnixDialog::property_has_selection | ( |  | ) | const

Whether the application has a selection.

Default value: false

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_manual_capabilities() [1/2]

Glib::PropertyProxy< bool > Gtk::PrintUnixDialog::property_manual_capabilities | ( |  | ) |

Capabilities the application can handle.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_manual_capabilities() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::PrintUnixDialog::property_manual_capabilities | ( |  | ) | const

Capabilities the application can handle.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_page_setup() [1/2]

Glib::PropertyProxy< Glib::RefPtr< PageSetup > > Gtk::PrintUnixDialog::property_page_setup | ( |  | ) |

The GtkPageSetup to use.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_page_setup() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< PageSetup > > Gtk::PrintUnixDialog::property_page_setup | ( |  | ) | const

The GtkPageSetup to use.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_print_settings() [1/2]

Glib::PropertyProxy< Glib::RefPtr< PrintSettings > > Gtk::PrintUnixDialog::property_print_settings | ( |  | ) |

The GtkPrintSettings used for initializing the dialog.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_print_settings() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< PrintSettings > > Gtk::PrintUnixDialog::property_print_settings | ( |  | ) | const

The GtkPrintSettings used for initializing the dialog.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_selected_printer()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Printer > > Gtk::PrintUnixDialog::property_selected_printer | ( |  | ) | const

The GtkPrinter which is selected.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_support_selection() [1/2]

Glib::PropertyProxy< bool > Gtk::PrintUnixDialog::property_support_selection | ( |  | ) |

Whether the dialog supports selection.

Default value: false

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_support_selection() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::PrintUnixDialog::property_support_selection | ( |  | ) | const

Whether the dialog supports selection.

Default value: false

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_current_page()

void Gtk::PrintUnixDialog::set_current_page | ( | int | current_page | ) |

Sets the current page number.

If current_page is not -1, this enables the current page choice for the range of pages to print.

Since gtkmm 2.10

Parameters

  current_page | The current page number.

## ◆ set_embed_page_setup()

void Gtk::PrintUnixDialog::set_embed_page_setup | ( | bool | embed = true | ) |

Embed page size combo box and orientation combo box into page setup page.

Since gtkmm 2.18

Parameters

  embed | Embed page setup selection.

## ◆ set_has_selection()

void Gtk::PrintUnixDialog::set_has_selection | ( | bool | has_selection = true | ) |

Sets whether a selection exists.

Since gtkmm 2.18

Parameters

  has_selection | true indicates that a selection exists.

## ◆ set_manual_capabilities()

void Gtk::PrintUnixDialog::set_manual_capabilities | ( | PrintCapabilities | capabilities | ) |

This lets you specify the printing capabilities your application supports.

For instance, if you can handle scaling the output then you pass Gtk::PRINT_CAPABILITY_SCALE. If you don’t pass that, then the dialog will only let you select the scale if the printing system automatically handles scaling.

Since gtkmm 2.10

Parameters

  capabilities | The printing capabilities of your application.

## ◆ set_page_setup()

void Gtk::PrintUnixDialog::set_page_setup | ( | const Glib::RefPtr< PageSetup > & | page_setup | ) |

Sets the page setup of the Gtk::PrintUnixDialog.

Since gtkmm 2.10

Parameters

  page_setup | A Gtk::PageSetup.

## ◆ set_settings()

void Gtk::PrintUnixDialog::set_settings | ( | const Glib::RefPtr< PrintSettings > & | settings | ) |

Sets the Gtk::PrintSettings for the Gtk::PrintUnixDialog.

Typically, this is used to restore saved print settings from a previous print operation before the print dialog is shown.

Since gtkmm 2.10

Parameters

  settings | A Gtk::PrintSettings, or nullptr.

## Friends And Related Symbol Documentation

## ◆ wrap()

Gtk::PrintUnixDialog * wrap | ( | GtkPrintUnixDialog * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.